/* 
 *	Jeti, a Java Jabber client, Copyright (C) 2001 E.S. de Boer  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	For questions, comments etc, 
 *	use the website at http://jeti.jabberstudio.org
 *  or mail/IM me at jeti@jabber.org
 *  
 *  Created on 18-sep-2005
 */

package nu.fw.jeti.jabber.handlers;

import nu.fw.jeti.jabber.elements.Extension;
import nu.fw.jeti.jabber.elements.Packet;
import nu.fw.jeti.jabber.elements.StreamError;
import nu.fw.jeti.jabber.elements.XMPPErrorTag;

import org.xml.sax.Attributes;


/**
 * @author E.S. de Boer
 * @version 1.0
 */

public class StreamErrorHandler extends PacketHandler
{
	private XMPPErrorTag extension;
	
	public void startHandling(Attributes attr)
	{
		reset();
	}

	private void reset()
	{
		extension = null;
	}
	
	public void startElement(String name,Attributes attr) {}

	public void endElement(String name)
	{
			clearCurrentChars();
	}

	public void addExtension(Extension extension)
	{
		if(extension instanceof XMPPErrorTag)
		{
			XMPPErrorTag tag = (XMPPErrorTag)extension;
			if(!"text".equals(tag.getError())) this.extension = tag;
		}
	}

	public Packet build()
	{
		StreamError error = new StreamError(extension);
		reset();
		return error;
	}
}
/*
 * Overrides for emacs
 * Local variables:
 * tab-width: 4
 * End:
 */
